Package: groovy.jmx.builder

## [Groovy] Class JmxBeansFactory

- groovy.jmx.builder.JmxBeansFactory

-     class JmxBeansFactory
      extends AbstractFactory

  Creates metadata for exporting multiple beans in one builder node.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxBeansFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()` Indicates that the beans node is terminal.
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)` Creates meta maps for each target in the supplied list.
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)` Leaves attribute handling to newInstance(FactoryBuilderSupport, Object, Object, Map).
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)` Registers each exported bean and adds successful registrations to the parent collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### JmxBeansFactory()

  - ### Method Detail

    - #### boolean isLeaf()

      Indicates that the beans node is terminal.

      Returns:
        `true`

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

      Creates meta maps for each target in the supplied list.

      Parameters:
        `builder` - the active builder
        `nodeName` - the node name
        `nodeParam` - the list of target objects
        `nodeAttribs` - named node attributes
      Returns:
        the normalized bean metadata list

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

      Leaves attribute handling to newInstance(FactoryBuilderSupport, Object, Object, Map).

      Parameters:
        `builder` - the active builder
        `node` - the current node
        `nodeAttribs` - remaining node attributes
      Returns:
        `false`

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

      Registers each exported bean and adds successful registrations to the parent collection.

      Parameters:
        `builder` - the active builder
        `parentNode` - the parent export container
        `thisNode` - the bean metadata list